Subject: Re: [PATCH net-next v2 4/6] tools: ynl: Add struct attr decoding to ynl

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Mar 2023 22:30:55 -0700

On Sun, 19 Mar 2023 19:38:01 +0000 Donald Hunter wrote:
>                  enum: [ unused, pad, flag, binary, u8, u16, u32, u64, s32, s64,
> -                        string, nest, array-nest, nest-type-value ]
> +                        string, nest, array-nest, nest-type-value, struct ]

I wonder if we should also only allow struct as a subtype of binary?

Structs can technically grow with newer kernels (i.e. new members can
be added at the end). So I think for languages like C we will still
need to expose to the user the original length of the attribute.
And binary comes with a length so codgen reuse fits nicely.

Either way - docs need to be updated.